Subject: Re: Windows boot recognition

From: David Hawkins <[email-masked]>
Date: Tue, 03 Oct 2006 16:18:57 -0700

Hi Tim,

> I am trying to develop a windows driver for the MPC8349MDS board but 
> Windows does not seem to acknowledge the existence of the board in the 
> pci slot.  The device manager does not see the board and no resources 
> are allocated on boot.

If no resources are allocated on boot, then it indicates the BIOS
has not found the board. Have you booted this same machine under
Linux? If not, grab a Knoppix or Ubuntu CD and boot the machine
and see if lspci sees the board.

> Running Linux as my OS works perfectly.  I have 
> tried both Windows 2000 and XP on two different machines.  Any ideas?

Under Windows I've used a tool called PCI tree to find
PCI resources of boards, it'll even let you manipulate
config space registers (much like setpci can under Linux).
Try running that tool to see if the board is setup
correctly by the BIOS.

If your Windows and Linux development machines are different,
then you may just be fighting with hardware. So first confirm
that the BIOS is finding the board.

Also check for hardware differences between the development
machines; eg. 33MHz or 66MHz, 32-bit or 64-bit PCI.

Dave